Back to LanguageTool Homepage - Privacy - Imprint

Java 1.7.0_51 problem


(Tomasz) #1

The latest version of the Language Tool works fine on Oracle's Java 1.7.0_09, but not on its 1.7.0_51 edition.

Can you please do something about this?

Thanks.


(Daniel Naber) #2

What do you mean by "not working"? What exactly happens? Are you using the stand-alone version of LT or the LibreOffice/OpenOffice extension?


(Tomasz) #3

Thanks for your feedback.

My LT is an updated extension to Libre Office 4.1.5.3 (Win 7 platform). Sorry for not providing you with the details before.

It does not work for - whenever Java 1.7.0_51 is implemented - grammatical & spelling problems are not underlined with blue wavy line...

With the earlier version of Java on board (specifically its 09 version), though, each and every 'wrong word' is underlined and grammatical tips are properly given.

The same is observed for some other system with Open Office 3 / 4 on board.


(Daniel Naber) #4

I cannot reproduce this with LibreOffice 4.1.3.2 and Java 1.7.0_51 on Ubuntu. Are you really sure that everything else is the same and only the JDK you selected is different?


(Tomasz) #5

Yes, I'm sure of this.


(Daniel Naber) #6

Could it be that one version of Java is 32bit and the other one is 64bit? LT only works inside LibreOffice/OpenOffice if the Java version being used has the same "bitness" (32 or 64) as LibreOffice/OpenOffice.


(Tomasz) #7

Rather not.

I have checked on this and the situation and is as follows:

  • With Java _09 properly installed, the Language Tool works perfectly both on 32- and 64-bit windows;

  • with Java _51 properly installed, the Language Tool deos not work, either on 32- or 64-bit windows.

When installing Java, I'm paying attention if its version corresponds to the installed system (32/64 bits).

Actually its not a big problem, until one is forced to downgrade the Java on a pre-instaled sys to enyoy
LT's (great) functionality.

Thanks.